
package com.ejie.w43df.pid.client;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "w43dfPIDService", targetNamespace = "com/ejie/documents/xml", wsdlLocation = "file:/C:/Users/CGONZALZ/AppData/Local/Temp/tempdir6299811122976657161.tmp/w43dfPIDService_1.wsdl")
public class W43DfPIDService
    extends Service
{

    private final static URL W43DFPIDSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.w43df.pid.client.W43DfPIDService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.w43df.pid.client.W43DfPIDService.class.getResource(".");
            url = new URL(baseUrl, "file:/C:/Users/CGONZALZ/AppData/Local/Temp/tempdir6299811122976657161.tmp/w43dfPIDService_1.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'file:/C:/Users/CGONZALZ/AppData/Local/Temp/tempdir6299811122976657161.tmp/w43dfPIDService_1.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        W43DFPIDSERVICE_WSDL_LOCATION = url;
    }

    public W43DfPIDService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public W43DfPIDService() {
        super(W43DFPIDSERVICE_WSDL_LOCATION, new QName("com/ejie/documents/xml", "w43dfPIDService"));
    }

    /**
     * 
     * @return
     *     returns W43DfPIDInterface
     */
    @WebEndpoint(name = "w43dfPIDPort")
    public W43DfPIDInterface getW43DfPIDPort() {
        return super.getPort(new QName("com/ejie/documents/xml", "w43dfPIDPort"), W43DfPIDInterface.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns W43DfPIDInterface
     */
    @WebEndpoint(name = "w43dfPIDPort")
    public W43DfPIDInterface getW43DfPIDPort(WebServiceFeature... features) {
        return super.getPort(new QName("com/ejie/documents/xml", "w43dfPIDPort"), W43DfPIDInterface.class, features);
    }

}
